
QGIS Application - Bug report #21698

QGIS crash when deleting layers

2019-03-29 10:32 AM - Wolfgang Meinolf

Status: Feedback

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.6.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29514

Description

User Feedback

Started QGIS from Start menu. Opened recent project. Deleted layers (type shp and gpkg). Did nothing else.

Report Details

Crash ID: efb36a85655a7979e6c09c4f7b09e308c5d4f797

Stack Trace

QgsVectorLayer::~QgsVectorLayer :

QgsVectorLayerUndoCommandRenameAttribute::~QgsVectorLayerUndoCommandRenameAttribute :

QgsMapLayerStore::removeMapLayers :

QgsMapLayerStore::removeMapLayers :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.1-Noosa

QGIS code revision: commit:2468226bc9

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601
History

#1 - 2019-03-29 10:42 AM - Alessandro Pasotti

- Status changed from Open to Feedback

Are you sure you didn't do anything else?

QgsVectorLayerUndoCommandRenameAttribute sais something different.

Can you retry with all plugins disabled?

#2 - 2019-03-29 11:11 AM - Wolfgang Meinolf

- File Installed Plug-ins necessary.jpg added

- File Installed Plug-ins.jpg added

Hm. Have restarted QGIS (before your response, plugins enables like in 1st attachment) and could delete layers w/o crash. Difference: After every deleted

layer I saved the project. As I had some crashes with this project I decided today, to reinstall QGIS from OSGEO Installer. So I set all "keep" to "refresh".

Not sure, that I can run without plugins, as I use i.e. Grass for my analysis and scripts. In the mean time I had another crash after running my script. It

generates some temp layers. This time QGIS crashes, when I hovered mouse pointer on new layers, to check the layers CRS pop up.

I attached plugin lists, necessary has only the non kernel plug in's enabled, which I beliebe I need. Sorry for my english and thanks for the fast response.

BTW. I moved to 3.6.1, an 3.6.0 seems to have some issues with German "Umlaute" (Ä,Ö,Ü)

#3 - 2019-03-29 11:16 AM - Alessandro Pasotti

We ask to temporarily run QGIS with python plugins disabled because we need to know if the bug is in QGIS core or if it comes from a third party python

plugin.

#4 - 2019-03-29 11:31 AM - Giovanni Manghi

Please also note that sometimes is not enough to just disable 3rd party plugins: there have been cases were faulty 3rd party plugins were causing issues

even if just installed and not enabled.

The way to exclude them as cause of qgis issues is to try use qgis with a new/clean (qgis) profile, this has the advantage of also excluding possible

legacy/bad configurations in the qgis user folder.

#5 - 2019-03-29 12:49 PM - Wolfgang Meinolf

- File 190329 QGIS Model.jpg added

- File All Plugins disabled.jpg added

- File 190329 QGIS generated Layers.jpg added

- File 190329 QGIS Mouseover generated temp layer 3.jpg added

- File 190329 QGIS Mouseover generated temp layer 2.jpg added

- File 190329 QGIS Mouseover generated temp layer 1.jpg added

- File 190329 QGIS Mouseover generated perm layer.jpg added
Ok, understood. I disabled all plugins except processing, which I need to run my scripts. I restarted my computer, started QGIS with Grass from windoes

Menue and opened the project from recent list in qgis. I ran my scripts. I waited some 1-2 minutes, then I hovered mouse over various layers. It allways

crashed, when I hovered the script generated new layers. As i can reproduce the crash, I tested a while. There are 4 layers generated by the model (see

layers generated and model attached). The bottom layer is generated by v.clean, not marked temporary and stored in $user$AppData/Local/Temp. The

Point Layer is generated by "extract by location", top layer by "merge vector layers" and the second by "reproject layer" and are stored elsewhere. As soon

as I hover above the top or second layer QGIS crashes immidieatly or latest after 3rd hover.

However, I consider to uninstall QGIS3, clean up everything incl registry and start from scratch reinstall QGIS 3.6.1. with Grass and with new profile, as

you recommended.

Let me know, if the info above and attached screenshots help.

#6 - 2019-04-01 11:45 AM - Wolfgang Meinolf

Ok,I deinstalled QGIS3, cleaned registry and deleted profiles folder. I got fresh osgeo4w-setup-x86_64.exe and reinstalled QGIS 3.6.1 with Grass 7.6.1-1.

On initial start I did not load any plugins and confirmed, NOT to load any QGIS2 settings.

QGIS still crash when mouse over new script generated temporary line layer.

Files

Installed Plug-ins.jpg 82.5 KB 2019-03-29 Wolfgang Meinolf

Installed Plug-ins necessary.jpg 78.9 KB 2019-03-29 Wolfgang Meinolf

All Plugins disabled.jpg 76.8 KB 2019-03-29 Wolfgang Meinolf

190329 QGIS generated Layers.jpg 17 KB 2019-03-29 Wolfgang Meinolf

190329 QGIS Model.jpg 68.7 KB 2019-03-29 Wolfgang Meinolf

190329 QGIS Mouseover generated perm layer.jpg 43.9 KB 2019-03-29 Wolfgang Meinolf

190329 QGIS Mouseover generated temp layer 1.jpg 105 KB 2019-03-29 Wolfgang Meinolf

190329 QGIS Mouseover generated temp layer 2.jpg 54.1 KB 2019-03-29 Wolfgang Meinolf

190329 QGIS Mouseover generated temp layer 3.jpg 37.8 KB 2019-03-29 Wolfgang Meinolf
